package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.mark.enums.ObjectivePolicy;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 小题信息表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_question")
@ApiModel(value="MarkQuestion对象", description="小题信息表")
public class MarkQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "试卷类型")
    private String paperNumber;

    @ApiModelProperty(value = "是否客观题")
    private Boolean isObjective;

    @ApiModelProperty(value = "分组序号")
    private Integer groupNumber;

    @ApiModelProperty(value = "大题号")
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号")
    private Integer subNumber;

    @ApiModelProperty(value = "大题名称")
    private String mainTitle;

    @ApiModelProperty(value = "正确答案")
    private String answer;

    @ApiModelProperty(value = "满分")
    private Double totalScore;

    @ApiModelProperty(value = "评卷间隔分")
    private Double intervalScore;

    @ApiModelProperty(value = "客观题判分策略")
    private ObjectivePolicy objectivePolicy;

    @ApiModelProperty(value = "题型")
    private String questionType;

    private String name;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Boolean getObjective() {
        return isObjective;
    }

    public void setObjective(Boolean isObjective) {
        this.isObjective = isObjective;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }
    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }
    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }
    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }
    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }
    public Double getIntervalScore() {
        return intervalScore;
    }

    public void setIntervalScore(Double intervalScore) {
        this.intervalScore = intervalScore;
    }
    public ObjectivePolicy getObjectivePolicy() {
        return objectivePolicy;
    }

    public void setObjectivePolicy(ObjectivePolicy objectivePolicy) {
        this.objectivePolicy = objectivePolicy;
    }
    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getQuestionNumber() {
        return getMainNumber() + "." + getSubNumber();
    }
    @Override
    public String toString() {
        return "MarkQuestion{" +
            "id=" + id +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", isObjective=" + isObjective +
            ", groupNumber=" + groupNumber +
            ", mainNumber=" + mainNumber +
            ", subNumber=" + subNumber +
            ", mainTitle=" + mainTitle +
            ", answer=" + answer +
            ", totalScore=" + totalScore +
            ", intervalScore=" + intervalScore +
            ", objectivePolicy=" + objectivePolicy +
            ", questionType=" + questionType +
            ", name=" + name +
        "}";
    }
}
