package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.ScanPackage;
import com.qmth.teachcloud.mark.mapper.ScanPackageMapper;
import com.qmth.teachcloud.mark.service.ScanPackageService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class ScanPackageServiceImpl extends ServiceImpl<ScanPackageMapper, ScanPackage> implements ScanPackageService {

    @Override
    public int getCount(Long examId) {
        QueryWrapper<ScanPackage> wrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ScanPackage> lw = wrapper.lambda();
        lw.eq(ScanPackage::getExamId, examId);
        return baseMapper.selectCount(wrapper);
    }

    @Override
    public List<ScanPackage> listByExamIdAndCoursePaperIdAndPackageCode(Long examId, String coursePaperId, String packageCode) {
        QueryWrapper<ScanPackage> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ScanPackage> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(ScanPackage::getExamId, examId)
                .eq(ScanPackage::getCoursePaperId, coursePaperId);
        if (StringUtils.isNotBlank(packageCode)) {
            lambdaQueryWrapper.eq(ScanPackage::getPackageCode, packageCode)
                    .orderByAsc(ScanPackage::getPackageCode);
        }
        lambdaQueryWrapper.orderByAsc(ScanPackage::getPackageNo);
        return this.list(queryWrapper);
    }

}
